<!-- markdownlint-disable MD024 -->
# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org).

## [v4.0.2](https://github.com/puppetlabs/rspec-puppet/tree/v4.0.2) - 2023-12-05

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v4.0.1...v4.0.2)

### Fixed

- Revert "(maint) - fix rubocop" - Leading argument with delegation syntax not supported with ruby 2.7.0 [#94](https://github.com/puppetlabs/rspec-puppet/pull/94) ([jordanbreen28](https://github.com/jordanbreen28))
- Revert "(CAT-1235) - Rename to puppetlabs-rspec-puppet" [#92](https://github.com/puppetlabs/rspec-puppet/pull/92) ([jordanbreen28](https://github.com/jordanbreen28))

## [v4.0.1](https://github.com/puppetlabs/rspec-puppet/tree/v4.0.1) - 2023-11-22

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v4.0.0...v4.0.1)

### Fixed

- (maint) - Add original owners [#90](https://github.com/puppetlabs/rspec-puppet/pull/90) ([jordanbreen28](https://github.com/jordanbreen28))

## [v4.0.0](https://github.com/puppetlabs/rspec-puppet/tree/v4.0.0) - 2023-10-09

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v3.0.0...v4.0.0)

### Changed
- (CAT-1226) - Remove Compatibility for Puppet 7.10 and below [#73](https://github.com/puppetlabs/rspec-puppet/pull/73) ([jordanbreen28](https://github.com/jordanbreen28))
- Drop RSpec 2 & Ruby 1 compatiblity [#67](https://github.com/puppetlabs/rspec-puppet/pull/67) ([ekohl](https://github.com/ekohl))
- Remove puppet applications support [#54](https://github.com/puppetlabs/rspec-puppet/pull/54) ([nabertrand](https://github.com/nabertrand))

### Fixed

- Avoid hardcoding ipaddress6 default [#61](https://github.com/puppetlabs/rspec-puppet/pull/61) ([ekohl](https://github.com/ekohl))

## [v3.0.0](https://github.com/puppetlabs/rspec-puppet/tree/v3.0.0) - 2023-04-25

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v3.0.0.rc.1...v3.0.0)

## [v3.0.0.rc.1](https://github.com/puppetlabs/rspec-puppet/tree/v3.0.0.rc.1) - 2023-04-12

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.12.0...v3.0.0.rc.1)

### Changed
- (CONT-808) Ruby 3 / Puppet 8 Support [#48](https://github.com/puppetlabs/rspec-puppet/pull/48) ([chelnak](https://github.com/chelnak))

### Added

- Support dot-notation when retrieving facts in facter_impl [#46](https://github.com/puppetlabs/rspec-puppet/pull/46) ([alexjfisher](https://github.com/alexjfisher))

### Fixed

- Default to current versions of Puppet and Facter [#36](https://github.com/puppetlabs/rspec-puppet/pull/36) ([ekohl](https://github.com/ekohl))
- fixed plugins link [#30](https://github.com/puppetlabs/rspec-puppet/pull/30) ([binford2k](https://github.com/binford2k))

## [v2.12.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.12.0) - 2022-07-21

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.11.1...v2.12.0)

### Added

- Add the ability to use `kind_of` matchers [#24](https://github.com/puppetlabs/rspec-puppet/pull/24) ([binford2k](https://github.com/binford2k))

### Fixed

- Handle nil autorequire results [#22](https://github.com/puppetlabs/rspec-puppet/pull/22) ([seanmil](https://github.com/seanmil))

## [v2.11.1](https://github.com/puppetlabs/rspec-puppet/tree/v2.11.1) - 2021-12-10

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.11.0...v2.11.1)

### Fixed

- Ensure FacterImpl consistency between example groups [#19](https://github.com/puppetlabs/rspec-puppet/pull/19) ([GabrielNagy](https://github.com/GabrielNagy))

## [v2.11.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.11.0) - 2021-11-10

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.10.0...v2.11.0)

### Added

- Add setting to use custom Facter implementation [#16](https://github.com/puppetlabs/rspec-puppet/pull/16) ([GabrielNagy](https://github.com/GabrielNagy))

## [v2.10.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.10.0) - 2021-08-02

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.9.0...v2.10.0)

### Added

- Add Ruby 3 support [#11](https://github.com/puppetlabs/rspec-puppet/pull/11) ([bastelfreak](https://github.com/bastelfreak))

## [v2.9.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.9.0) - 2021-05-20

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.8.0...v2.9.0)

## [v2.8.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.8.0) - 2020-11-05

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.9...v2.8.0)

## [v2.7.9](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.9) - 2020-07-14

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.8...v2.7.9)

## [v2.7.8](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.8) - 2019-10-31

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.7...v2.7.8)

## [v2.7.7](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.7) - 2019-10-07

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.6...v2.7.7)

## [v2.7.6](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.6) - 2019-10-04

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.5...v2.7.6)

## [v2.7.5](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.5) - 2019-06-06

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.4...v2.7.5)

## [v2.7.4](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.4) - 2019-06-06

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.3...v2.7.4)

## [v2.7.3](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.3) - 2019-02-15

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.2...v2.7.3)

## [v2.7.2](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.2) - 2018-11-20

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.1...v2.7.2)

## [v2.7.1](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.1) - 2018-10-04

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.7.0...v2.7.1)

## [v2.7.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.7.0) - 2018-10-02

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.15...v2.7.0)

## [v2.6.15](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.15) - 2018-08-13

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.14...v2.6.15)

## [v2.6.14](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.14) - 2018-07-06

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.13...v2.6.14)

## [v2.6.13](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.13) - 2018-06-21

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.12...v2.6.13)

## [v2.6.12](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.12) - 2018-06-15

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.11...v2.6.12)

## [v2.6.11](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.11) - 2018-03-08

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.10...v2.6.11)

## [v2.6.10](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.10) - 2018-03-06

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.9...v2.6.10)

## [v2.6.9](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.9) - 2017-09-12

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.8...v2.6.9)

## [v2.6.8](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.8) - 2017-08-17

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.7...v2.6.8)

## [v2.6.7](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.7) - 2017-08-08

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.6...v2.6.7)

## [v2.6.6](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.6) - 2017-08-07

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.5...v2.6.6)

## [v2.6.5](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.5) - 2017-08-04

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.4...v2.6.5)

## [v2.6.4](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.4) - 2017-07-08

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.3...v2.6.4)

## [v2.6.3](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.3) - 2017-07-04

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.2...v2.6.3)

## [v2.6.2](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.2) - 2017-07-03

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.1...v2.6.2)

## [v2.6.1](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.1) - 2017-07-02

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.6.0...v2.6.1)

## [v2.6.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.6.0) - 2017-07-02

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.5.0...v2.6.0)

## [v2.5.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.5.0) - 2016-10-25

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.4.0...v2.5.0)

## [v2.4.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.4.0) - 2016-03-24

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.3.2...v2.4.0)

## [v2.3.2](https://github.com/puppetlabs/rspec-puppet/tree/v2.3.2) - 2016-01-26

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.3.1...v2.3.2)

## [v2.3.1](https://github.com/puppetlabs/rspec-puppet/tree/v2.3.1) - 2016-01-25

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.3.0...v2.3.1)

## [v2.3.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.3.0) - 2015-12-15

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.2.0...v2.3.0)

## [v2.2.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.2.0) - 2015-05-28

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.1.0...v2.2.0)

## [v2.1.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.1.0) - 2015-04-22

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.0.1...v2.1.0)

## [v2.0.1](https://github.com/puppetlabs/rspec-puppet/tree/v2.0.1) - 2015-03-12

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v2.0.0...v2.0.1)

## [v2.0.0](https://github.com/puppetlabs/rspec-puppet/tree/v2.0.0) - 2014-12-02

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v1.0.1...v2.0.0)

## [v1.0.1](https://github.com/puppetlabs/rspec-puppet/tree/v1.0.1) - 2013-12-06

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v1.0.0...v1.0.1)

## [v1.0.0](https://github.com/puppetlabs/rspec-puppet/tree/v1.0.0) - 2013-12-06

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.1.6...v1.0.0)

## [v0.1.6](https://github.com/puppetlabs/rspec-puppet/tree/v0.1.6) - 2013-01-24

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.1.5...v0.1.6)

## [v0.1.5](https://github.com/puppetlabs/rspec-puppet/tree/v0.1.5) - 2012-10-03

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.1.4...v0.1.5)

## [v0.1.4](https://github.com/puppetlabs/rspec-puppet/tree/v0.1.4) - 2012-08-09

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.1.3...v0.1.4)

## [v0.1.3](https://github.com/puppetlabs/rspec-puppet/tree/v0.1.3) - 2012-04-07

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.1.1...v0.1.3)

## [v0.1.1](https://github.com/puppetlabs/rspec-puppet/tree/v0.1.1) - 2012-01-20

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.1.0...v0.1.1)

## [v0.1.0](https://github.com/puppetlabs/rspec-puppet/tree/v0.1.0) - 2011-11-04

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.9...v0.1.0)

## [v0.0.9](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.9) - 2011-09-17

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.8...v0.0.9)

## [v0.0.8](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.8) - 2011-08-29

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.7...v0.0.8)

## [v0.0.7](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.7) - 2011-08-29

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.6...v0.0.7)

## [v0.0.6](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.6) - 2011-08-10

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.5...v0.0.6)

## [v0.0.5](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.5) - 2011-08-07

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.4...v0.0.5)

## [v0.0.4](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.4) - 2011-08-07

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.3...v0.0.4)

### Fixed

- Issue/master/remove faces call [#4](https://github.com/puppetlabs/rspec-puppet/pull/4) ([bodepd](https://github.com/bodepd))
- Added support.rb to rspec-puppet.gemspec. [#3](https://github.com/puppetlabs/rspec-puppet/pull/3) ([haus](https://github.com/haus))
- Resource exists check [#2](https://github.com/puppetlabs/rspec-puppet/pull/2) ([bodepd](https://github.com/bodepd))

## [v0.0.3](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.3) - 2011-07-21

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/v0.0.2...v0.0.3)

## [v0.0.2](https://github.com/puppetlabs/rspec-puppet/tree/v0.0.2) - 2011-07-19

[Full Changelog](https://github.com/puppetlabs/rspec-puppet/compare/3bbb83dc27e2b1621a5966f9d84722fdc3c4ba0a...v0.0.2)
